Bug 100295 - Changes in libcurl break check for update (at 5.0.0) and error reporting (at 5.2.0) on Windows XP sp3 and Windows XP sp2 (64-bit) installs
Summary: Changes in libcurl break check for update (at 5.0.0) and error reporting (at ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.beta2
Hardware: All Windows (All)
: highest normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.3.0 target:5.2.1 target:5.1....
Keywords: haveBacktrace, regression
: 95183 95184 100862 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-06-09 15:34 UTC by ape
Modified: 2016-08-02 22:51 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
WinDbg stackTrace of launch failure on WinXP sp3 32-bit (882 bytes, text/plain)
2016-06-09 18:32 UTC, V Stuart Foote
Details
WinDbg stackTrace of launch failure on WinXP sp3 32-bit, with the module loads (8.35 KB, text/plain)
2016-06-09 19:06 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ape 2016-06-09 15:34:56 UTC
OS - Windows XP (full update) 32 & 64 bit

1. Install LibreOfficeDev_5.2.0.0.beta2_Win_x86.msi in the Windows XP sp3(32-bit) or Windows XP sp2 64-bit Edition. 
2. Start the program. 
3. LibreOfficeDev_5.2.0.0.beta2_Win_x86.msi does not run. The operating system informs about the problem: 
“soffice.bin: The procedure entry point GetTickCount64 could not be located in the dynamic link library KERNEL32.dll”. 

This is regression to LibreOfficeDev_5.2.0.0.beta1_Win_x86

This error is confirmed here:
http://nabble.documentfoundation.org/LibODev-5-2-0-0-b2-does-not-run-in-Windows-XP-32-or-64-bit-td4185641.html
Comment 1 V Stuart Foote 2016-06-09 16:10:23 UTC
OK, maybe it is time to cut our losses... 

@ESC, a good-bye to Windows XP at 5.2.0?
Comment 2 V Stuart Foote 2016-06-09 18:32:42 UTC
Created attachment 125578 [details]
WinDbg stackTrace of launch failure on WinXP sp3 32-bit

@Cloph, Andre

Don't know if you can do anything with it but attached...
Comment 3 V Stuart Foote 2016-06-09 18:38:53 UTC
I think 64-bit Windows XP SP2 is beyond hope.  And the libcurl glitches of bug 95183 and bug 95184 suggested things to come.

Maybe the attached stack trace (such as it is) can help tease out what can be bypassed to salvage use on Windows XP SP3.
Comment 4 V Stuart Foote 2016-06-09 19:06:04 UTC
Created attachment 125580 [details]
WinDbg stackTrace of launch failure on WinXP sp3 32-bit, with the module loads

Another stack trace with the module load sequence, and somewhat useless analyze -v.

But, looks to die after loading the libcurl.dll and then system LDAP and HTTP.

C:\Program Files\LibreOfficeDev 5\program\libcurl.dll
C:\WINDOWS\system32\WLDAP32.dll
C:\WINDOWS\system32\WINHTTP.dll
Comment 5 steve -_- 2016-06-16 14:08:40 UTC
+1 to drop XP support in 5.2. Why deal with deprecated buggy, broken OSs if even MS says "the horse is dead jim".
Comment 6 ape 2016-06-16 16:10:41 UTC
(In reply to steve -_- from comment #5)
> +1 to drop XP support in 5.2. Why deal with deprecated buggy, broken OSs if
> even MS says "the horse is dead jim".

You're not paying attention to the fact that:
- 20% of Windows OS users uses Windows XP;
- Support for Windows XP was in LibO Beta1_win_x86, that is, the bug - regression;
- This program is building well on SDK-7.1A?
Comment 7 V Stuart Foote 2016-06-16 16:30:27 UTC
Beleive a further regression introduced by Markus' cURL (libcurl.dll) based upload of crash reporting. cURL issues have been with us for 32-bit XP since the 5.0.0.3 update of cURL lib to 7.43 affecting Win XP SP3 (bug 95183 and bug 95184).  And, 64-bit WinXP SP2 can not be supported.

The BreakPad based crash reporting is a rather important enhancement coming in at 5.2.0b2 for long term project health--if it is one or the other, dumping 32-bit Windows XP SP3 is not a hard choice.
Comment 8 Tor Lillqvist 2016-06-22 10:09:38 UTC
I'd say this is a feature, not a bug.
Comment 9 zahra 2016-06-25 06:37:49 UTC
hi. 
do you mean that its time to goodbye to windows xp 32 bit and its users? 
did you completely stop supporting it?
Comment 10 steve -_- 2016-06-25 21:51:03 UTC
not yet, but iirc, from what I heard, 5.3 will be EOL for XP
Comment 11 steve -_- 2016-06-25 21:52:29 UTC
... and considering that using xp alone equals a great security risk, the fewer apps still running on that broken OS, the better for the world.

raising incentives t switch to linux (or a newer windows if linux is not feasible) is a good thing.
Comment 12 Michael Meeks 2016-06-28 18:17:16 UTC
ESC is eager to keep XP supported for 5.2; with its 10% market share still - it would clearly be good to workaround the issue; Markus said he'd look at it IIRC.
Comment 13 Commit Notification 2016-07-07 00:44:10 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc4797a79e3f465e1fa930be7c69d8ec7d91c15e

tdf#100295 force curl to build for XP

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2016-07-07 02:10:58 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8562b1068328e16a629d2397f00af2a3e7998081&h=libreoffice-5-2

tdf#100295 force curl to build for XP

It will be available in 5.2.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 V Stuart Foote 2016-07-07 02:56:45 UTC
Testing with Windows XP sp3 Pro 32-bit en-US with
Version: 5.2.0.1.0+
Build ID: a2ab810b268ea3555a3931196ab17a0a0de8ba0b
CPU Threads: 2; OS Version: Windows 5.1; UI Render: default; 
Locale: en-US (en_US)

LibreOffice is now opening completely. Able to open to StartCenter and also all modules.

Unfortunately, the patch for curl on XP has not improved issues of bug 95184 or bug 95183.
Comment 16 ape 2016-07-07 18:49:49 UTC
(In reply to V Stuart Foote from comment #15)
> Testing with Windows XP sp3 Pro 32-bit en-US with
> Version: 5.2.0.1.0+
> Build ID: a2ab810b268ea3555a3931196ab17a0a0de8ba0b
> CPU Threads: 2; OS Version: Windows 5.1; UI Render: default; 
> Locale: en-US (en_US)
> 
> LibreOffice is now opening completely. Able to open to StartCenter and also
> all modules.
> 
> Unfortunately, the patch for curl on XP has not improved issues of bug 95184
> or bug 95183.
----
You hurried. Program:
Version: 5.2.0.1.0+
Build ID: a2ab810b268ea3555a3931196ab17a0a0de8ba0b
CPU Threads: 2; OS Version: Windows 5.1; UI Render: default; 
Locale: en-US (en_US)
is not available on the site:
http://dev-builds.libreoffice.org/daily/libreoffice-5-2/Win-x86@62-merge-TDF/.
The program:
http://dev-builds.libreoffice.org/pre-releases/win/x86/LibreOffice_5.2.0.2_Win_x86.msi
does not start on XP (sp3_x32bit or sp2_x64bit).
Comment 17 Aron Budea 2016-07-07 20:44:22 UTC
(In reply to ape from comment #16)
> The program:
> http://dev-builds.libreoffice.org/pre-releases/win/x86/LibreOffice_5.2.0.
> 2_Win_x86.msi
> does not start on XP (sp3_x32bit or sp2_x64bit).

Unfortunately I can confirm this, while the 5.2.0.1.0+ dev build started fine, 5.2.0.2 doesn't (OS: Windows XP SP3). Error message is the same.
Comment 18 V Stuart Foote 2016-07-07 22:25:23 UTC
(In reply to ape from comment #16)

> You hurried. Program:
> Version: 5.2.0.1.0+
> Build ID: a2ab810b268ea3555a3931196ab17a0a0de8ba0b
> CPU Threads: 2; OS Version: Windows 5.1; UI Render: default; 
> Locale: en-US (en_US)
> is not available on the site:
> http://dev-builds.libreoffice.org/daily/libreoffice-5-2/Win-x86@62-merge-TDF/

The working build was a special on the TB62 master folder, is here http://dev-builds.libreoffice.org/daily/master/Win-x86@62-merge-TDF/xpstest_26886/

But unfortunately also confirming the 5.2.0.2 rc2 build on pre-release with buildID a7567a46e5d2953c320b13eb88a3981c4f9bd1e0 (so apparently having the libcurl patch) does not run on Windows XP sp3 x86. It throws the "soffice.bin: The procedure entry point GetTickCount64 could not be located in the dynamic link library KERNEL32.dll"
Comment 19 V Stuart Foote 2016-07-07 22:29:29 UTC
Sorry Markus, thought you had it...
Comment 20 Aron Budea 2016-07-07 22:57:32 UTC
I've got good news, Markus has an additional fix in the works: https://gerrit.libreoffice.org/#/c/27025/ .

The issue was in libcurl.dll, which was built without being XP-compatible, and requiring GetTickCount64 entry point (there's only GetTickCount in XP). The above change finally seems to fix this, I tested the libcurl.dll built with it, and it runs on Windows XP, not only that, it also rectifies bug 95184 and bug 95183.
Comment 21 Commit Notification 2016-07-08 00:46:38 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54f2a4184d1296814e64cfeab1d06ae90d002357

tdf#100295: try to cover second place in curl using GetTickCount64

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2016-07-08 09:30:12 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=729c99e9b9a70c3564fe92d7a4d2a0d8027e8446&h=libreoffice-5-2

tdf#100295: try to cover second place in curl using GetTickCount64

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2016-07-08 09:30:18 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6efd6c49003987a58c83bc23d6a3fbb67999ff9e&h=libreoffice-5-1

tdf#100295 try to cover second place in curl using GetTickCount64

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Christian Lohmaier 2016-07-08 15:17:06 UTC
*** Bug 95183 has been marked as a duplicate of this bug. ***
Comment 25 V Stuart Foote 2016-07-08 15:36:22 UTC
@Markus, Christian, *

The target:5.2.0.2 was incorrect, any chance of this making it in for the 5.2.0 release rolling a 5.2.0.3 rc3?
Comment 26 Christian Lohmaier 2016-07-08 15:40:21 UTC
yes, it will make it into the next 5.2.0 rc3 - the initial patch was only half of the needed changes, the later commits then fixed the remaining instance.

I decided not to do a respin of rc2, since there are two more RCs scheduled anyway.
Comment 27 Aron Budea 2016-07-08 17:09:14 UTC
*** Bug 95184 has been marked as a duplicate of this bug. ***
Comment 28 Commit Notification 2016-07-09 13:29:05 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8eb0774b7dadac845dc361f38237b6e009d0b92&h=libreoffice-5-2-0

tdf#100295: try to cover second place in curl using GetTickCount64

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 V Stuart Foote 2016-07-12 12:53:16 UTC
*** Bug 100862 has been marked as a duplicate of this bug. ***
Comment 30 ape 2016-07-20 10:31:18 UTC
Version: 5.2.1.0.0+
Build ID: 620c00bf2279ccedf3fadefecc68186e25827b59
CPU Threads: 8; OS Version: Windows 5.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-2, Time: 2016-07-14_11:50:03
Locale: ru-RU (ru_RU); Calc: group
---
The program runs under Windows XP sp2 64-bit Edition.
Comment 31 Aron Budea 2016-07-22 07:54:25 UTC
5.2.0.3 starts fine in 32-bit XP SP3.
Comment 32 Pedro 2016-08-02 22:51:13 UTC
Verified Fixed using version 5.2.0.4 under Windows XP Pro x86 SP3.
Thank you for not abandoning Windows XP!